summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/fuse/convert-gz-to-lz-drop-huge-html.sh33
-rwxr-xr-xsource/l/fuse/fuse.SlackBuild2
-rw-r--r--source/l/fuse/slack-desc4
3 files changed, 36 insertions, 3 deletions
diff --git a/source/l/fuse/convert-gz-to-lz-drop-huge-html.sh b/source/l/fuse/convert-gz-to-lz-drop-huge-html.sh
new file mode 100755
index 000000000..97d0080dc
--- /dev/null
+++ b/source/l/fuse/convert-gz-to-lz-drop-huge-html.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=fuse
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+rm -rf fuse-${VERSION} fuse-${VERSION}.tar fuse-${VERSION}.tar.lz
+gpg --verify fuse-${VERSION}.tar.gz.asc || exit 1
+tar xf fuse-${VERSION}.tar.gz || exit 1
+rm -f fuse-${VERSION}/doc/html/*
+tar cf fuse-${VERSION}.tar fuse-${VERSION}
+plzip -9 fuse-${VERSION}.tar
+rm -rf fuse-${VERSION}
diff --git a/source/l/fuse/fuse.SlackBuild b/source/l/fuse/fuse.SlackBuild
index daead1229..80b23fd34 100755
--- a/source/l/fuse/fuse.SlackBuild
+++ b/source/l/fuse/fuse.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fuse
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
diff --git a/source/l/fuse/slack-desc b/source/l/fuse/slack-desc
index b3f87e442..7199c74e7 100644
--- a/source/l/fuse/slack-desc
+++ b/source/l/fuse/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-fuse: FUSE (Filesystem in Userspace)
+fuse: fuse (Filesystem in Userspace)
fuse:
fuse: FUSE is a simple interface for userspace programs to export a virtual
fuse: filesystem to the Linux kernel. FUSE also aims to provide a secure
fuse: method for non privileged users to create and mount their own
fuse: filesystem implementations.
fuse:
-fuse: The FUSE web site can be found here: http://fuse.sourceforge.net
+fuse: Homepage: https://github.com/libfuse/libfuse
fuse:
fuse:
fuse: